Package csb :: Package bio :: Package io :: Module wwpdb :: Class PDBHeaderParser

[frames] | no frames]

# Class PDBHeaderParser

source code

                 object --+
                          |
    AbstractStructureParser --+
                              |
         RegularStructureParser --+
                                  |
                                 PDBHeaderParser

Ultra fast PDB HEADER parser. Does not read any structural data.

Nested Classes
Inherited from `AbstractStructureParser`: `__metaclass__`

Instance Methods

Inherited from `AbstractStructureParser`: `__del__`, `__init__`, `guess_chain_type`, `guess_sequence_type`, `models`, `parse`, `parse_biomolecule`, `parse_models`, `parse_residue`, `parse_residue_safe`, `parse_structure`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `AbstractStructureParser`: `create_parser`

Class Variables
Inherited from `RegularStructureParser`: `__abstractmethods__`

Properties
Inherited from `AbstractStructureParser`: `filename`, `mapper` Inherited from `object`: `__class__`